ProTools updated for Mavericks

As noted by The Loop this morning, Avid has announced an update for ProTools and ProTools HD that supports OS X Mavericks. Awesome! I can finally upgrade my machine! thought I.  Ah, but there appears to be a devil in the details, if you will. I'll let Avid take over here:


  • Co-install of Pro Tools 11.0.3 with Pro Tools 10.3.x is not supported on Mac OS X 10.9 Mavericks
  • Co-install of Pro Tools 11.0.3 with Media Composer is not supported on Mac OS X 10.9 Mavericks (see details)

Hm. I've been running both versions 10 and 11, since the whole AAX plugin format debacle made it so a good chunk of my favorite plugins (like Massey's excellent [and cheap!] set of plugins) are not available in AAX format yet. The vast majority of my business work in ProTools is done in 10, since I need those plugins, and my own side projects have been running in 11 (or, let's be honest, Logic).

So, it seems I have a decision to make: ride Mavericks into a brave new untested world, or hang with the Big Cats a while longer.